{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}

{% block title %}{% if object %}Editar{% else %}Nuevo{% endif %} Plan{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'plans-list' %}">Planes</a></li>
		<li class="breadcrumb-item active">{% if object %}Editar Plan #{{ object.pk}} {% else %}Nuevo Plan{% endif %} </li>
	  </ol>
	  <!-- end breadcrumb -->
	
	<!-- begin page-header -->
	<h1 class="page-header">{% if object %}Editar {{ object.pk}}{% else %}Nuevo{% endif %} <small>Plan</small></h1>
  <!-- end page-header -->
  

<!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Rellene los detalles en el formulario</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
    <div id="extra" role="tabpanel" class="tab-pane active">
      <form method="post">
      {% csrf_token %}
	  {% for field in form %}
	  {%ifequal field.label "Operator" %}
	  <div class="form-group row m-b-15">
	    <label for="id_operator" class="col-sm-3 control-label">Operador</label>
	    <div class="col-sm-6">
	      <select name="operator" class="form-control"  required id="id_operator">
			{%if if_todos %}
			{% if object %} <option value="{{ object.operator.id}}" selected>{{ object.operator.name}}</option>{% endif %}
			{%for b in operadores %}
			<option value="{{b.id}}">{{b.name}}</option>
			{%endfor%}
			{% else%}
			{%for b in operadores %}
			<option value="{{current_operator}}">{{current_operator_name}}</option>
			{%endfor%}
			{%endif%}
			</select>
		</div>
	  </div>
	  {%else%}
	  {%ifequal field.label "En UF" %}
	  <div class="form-group row m-b-15">
	    <label for="id_uf" class="col-sm-3 control-label">En UF</label>
	    <div class="col-sm-6">
			<input type="checkbox" name="uf" id="id_uf" {% if object.uf %} checked {%endif %} />
		</div>
	  </div>
	  {%else%}
	  <div class="form-group row m-b-15">
	    <label for="{{ field.auto_id }}" class="col-sm-3 control-label">{{ field.label }}</label>
	    <div class="col-sm-6">
	      {% render_field field class="form-control" %}

	      {% for error in field.errors %}
	      <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
	      {% endfor %}
	    </div>
	  </div>
	  {%endifequal%}
	  {%endifequal%}
	  {% endfor %}
      <input type="submit" value="Guardar" class="btn btn-success btn-raised">
      <a href="{% url 'plans-list' %}" class="btn btn-default btn-raised">Cancelar</a>
      </form>
    </div>
    <!-- end panel-body -->
			</div>
<!-- end panel -->
</div>
  </div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
{% endblock %}
